<mat-list class="menus">
  <mat-list-item class="root-element">
    <button (click)="onDashboardSelected()" [routerLink]="['/dashboard']" routerLinkActive="router-link-active"
      mat-flat-button>
      <mat-icon color="primary" [ngClass]="[(navCollapsed && !mobileSize.matches) ? 'sidenav-leftpadding': '']">
        home</mat-icon>
      <span class="sidenav-list main-list"
        [ngClass]="[(navCollapsed && !mobileSize.matches) ? 'nav-collapsed': '']">Dashboard</span>
    </button>
  </mat-list-item>
  <section *ngIf="!referralPackage && !cocDetails && !clientPlacementsHistory && !tadSubmission; else individualBlock">
    <!-- ###### CAPs && Supportive Housing System ###### -->
    <section *ngIf="capsAndApplicationItems.length > 0">
      <mat-list-item class="root-element"
        *ngIf="(currentUrl == '/' || currentUrl == '/dashboard' || currentSys == 'shs' || currentSys == 'admin'  || currentSys == 'reports') && (!newApp && !pendingApp)">
        <button (click)="onShsSelected()" mat-flat-button>
          <mat-icon color="primary" [ngClass]="[(navCollapsed && !mobileSize.matches) ? 'sidenav-leftpadding': '']">work
          </mat-icon>
          <span class="sidenav-list main-list"
            [ngClass]="[(navCollapsed && !mobileSize.matches) ? 'nav-collapsed': '']">Survey / Application </span>
          <mat-icon *ngIf="!shsExpanded">expand_more</mat-icon>
          <mat-icon *ngIf="shsExpanded">expand_less</mat-icon>
        </button>
      </mat-list-item>
      <span *ngFor="let item of capsAndApplicationItems">
        <mat-list-item class="sub-element"
          *ngIf=" shsExpanded && !navCollapsed && (item.navigationItemID !== 4 && item.navigationItemID !== 5)  && (!newApp && !pendingApp)">
          <button *ngIf="item.systemModuleType == 766" (click)="onShsSubMenuSelected(item)" routerLink="{{item.url}}"
            routerLinkActive="router-link-active" [routerLinkActiveOptions]="{exact: true}" class="menu-item"
            mat-flat-button>
            <mat-icon color="primary">{{item.iconName}}</mat-icon>
            <span class="sidenav-list">{{item.navigationItemName}}</span>
          </button>
          <button *ngIf="item.systemModuleType == 807" (click)="onCapsSubMenuSelected(item.navigationItemID)"
            routerLinkActive="router-link-active" [routerLinkActiveOptions]="{exact: true}" class="menu-item"
            mat-flat-button>
            <mat-icon color="primary">{{item.iconName}}</mat-icon>
            <span class="sidenav-list">{{item.navigationItemName}}</span>
          </button>
        </mat-list-item>
        <!-- New Application -->
        <section *ngIf="item.navigationItemID == 4">
          <!-- This New Application Link is without sub menus -->
          <mat-list-item class="sub-element" *ngIf=" shsExpanded && !navCollapsed  && (!newApp && !pendingApp)">
            <button (click)="onShsSubMenuSelected()" routerLink="/shs/newApp" routerLinkActive="router-link-active"
              [routerLinkActiveOptions]="{exact: true}" mat-flat-button>
              <mat-icon color="primary">create_new_folder</mat-icon>
              <span class="sidenav-list" [ngClass]="[navCollapsed ? 'nav-collapsed': '']">New Application</span>
            </button>
          </mat-list-item>
        </section>

        <!-- Pending Applications -->
        <section *ngIf="item.navigationItemID == 5">
          <!-- This Pending Application Link is without sub menus -->
          <mat-list-item class="sub-element" *ngIf=" shsExpanded && !navCollapsed  && (!newApp && !pendingApp)">
            <button (click)="onSidenavClose()" routerLink="/shs/pendingApp" routerLinkActive="router-link-active"
              [routerLinkActiveOptions]="{exact: true}" class="menu-item" mat-flat-button>
              <mat-icon color="primary">watch_later</mat-icon>
              <span class="sidenav-list">Pending Applications</span>
            </button>
          </mat-list-item>
        </section>
      </span>

      <!-- This New Application Link is with sub menus -->
      <mat-list-item class="root-element" *ngIf="(newApp && !pendingApp)">
        <button (click)="onNewAppSelected()" mat-flat-button>
          <mat-icon color="primary" [ngClass]="[(navCollapsed && !mobileSize.matches) ? 'sidenav-leftpadding': '']">
            create_new_folder</mat-icon>
          <span class="sidenav-list main-list"
            [ngClass]="[(navCollapsed && !mobileSize.matches) ? 'nav-collapsed': '']">New Application</span>
          <mat-icon *ngIf="!newAppExpanded">expand_more</mat-icon>
          <mat-icon *ngIf="newAppExpanded">expand_less</mat-icon>
        </button>
      </mat-list-item>
      <app-new-apps-sidenav-list [newAppExpanded]="newAppExpanded" [navCollapsed]="navCollapsed">
      </app-new-apps-sidenav-list>

      <!-- This Pending Application Link is with sub menus -->
      <mat-list-item class="root-element" *ngIf="(!newApp && pendingApp)">
        <button (click)="onPendingAppSelected()" mat-flat-button>
          <mat-icon color="primary" [ngClass]="[(navCollapsed && !mobileSize.matches) ? 'sidenav-leftpadding': '']">
            watch_later</mat-icon>
          <span class="sidenav-list main-list"
            [ngClass]="[(navCollapsed && !mobileSize.matches) ? 'nav-collapsed': '']">Pending Application</span>
          <mat-icon *ngIf="!pendingAppExpanded">expand_more</mat-icon>
          <mat-icon *ngIf="pendingAppExpanded">expand_less</mat-icon>
        </button>
      </mat-list-item>
      <app-pending-apps-sidenav-list [pendingAppExpanded]="pendingAppExpanded" [navCollapsed]="navCollapsed">
      </app-pending-apps-sidenav-list>
    </section>

    <!-- ###### Determination System ###### -->
    <section *ngIf="is_CAS && detItems.length > 0">
      <app-determination-sidenav-list [navCollapsed]="navCollapsed" [detItems]="detItems"></app-determination-sidenav-list>
    </section>

    <!-- ###### Vacancy Control System ###### -->
    <section *ngIf="vcsItems.length > 0">
      <mat-list-item class="root-element"
        *ngIf="currentUrl == '/' || currentUrl == '/dashboard' || (currentSys == 'vcs' || currentSys == 'admin' || currentSys == 'reports')">
        <button (click)="onVcsSelected()" mat-flat-button>
          <mat-icon color="primary" [ngClass]="[(navCollapsed && !mobileSize.matches) ? 'sidenav-leftpadding': '']">
            settings_application</mat-icon>
          <span class="sidenav-list main-list"
            [ngClass]="[(navCollapsed && !mobileSize.matches) ? 'nav-collapsed': '']">Vacancy Control System</span>
          <mat-icon class="expand-collapse-icon" *ngIf="!vcsExpanded">expand_more</mat-icon>
          <mat-icon class="expand-collapse-icon" *ngIf="vcsExpanded">expand_less</mat-icon>
        </button>
      </mat-list-item>
      <span *ngIf="vcsExpanded && !navCollapsed">
        <mat-list-item class="sub-element" *ngFor="let item of vcsItems">
          <button (click)="onVcsSubMenuSelected(item)" routerLink="{{item.url}}" routerLinkActive="router-link-active"
            [routerLinkActiveOptions]="{exact: true}" mat-flat-button>
            <mat-icon color="primary">{{item.iconName}}</mat-icon>
            <span class="sidenav-list">{{item.navigationItemName}}</span>
          </button>
        </mat-list-item>
      </span>
    </section>

    <!-- ###### Reports ###### -->
    <section *ngIf="is_CAS || userData.agencyNo == '7777' || userData.agencyNo == '8888'">
        <mat-list-item class="root-element"
        *ngIf="currentUrl == '/' || currentUrl == '/dashboard' || (currentSys == 'reports' || currentSys == 'admin')">
          <button (click)="onReportsSelected()" [routerLink]="['/reports/reports-dashboard']" routerLinkActive="router-link-active" mat-flat-button>
            <mat-icon color="primary" [ngClass]="[(navCollapsed && !mobileSize.matches) ? 'sidenav-leftpadding': '']">assignment</mat-icon>
            <span class="sidenav-list main-list" [ngClass]="[(navCollapsed && !mobileSize.matches) ? 'nav-collapsed': '']">Reports</span>
          </button>
        </mat-list-item>
    </section>

    <!-- ###### Admin Tools ###### -->
    <section *ngIf="adminItems.length > 0">
      <mat-list-item class="root-element"
        *ngIf=" (currentUrl == '/' || currentUrl == '/dashboard' || currentSys == 'vcs' || currentSys == 'ds' || currentSys == 'admin' || currentSys == 'reports') && adminVisible">
        <button (click)="onAdminToolsSelected()" mat-flat-button>
          <mat-icon color="primary" [ngClass]="[(navCollapsed && !mobileSize.matches) ? 'sidenav-leftpadding': '']">
            lock</mat-icon>
          <span class="sidenav-list main-list"
            [ngClass]="[(navCollapsed && !mobileSize.matches) ? 'nav-collapsed': '']">System Administration</span>
          <mat-icon *ngIf="!adminExpanded">expand_more</mat-icon>
          <mat-icon *ngIf="adminExpanded">expand_less</mat-icon>
        </button>
      </mat-list-item>
      <span *ngIf="adminExpanded && !navCollapsed">
        <mat-list-item class="sub-element" *ngFor="let item of adminItems">
          <button (click)="onAdministrationSubMenuSelected(item)" routerLink="{{item.url}}"
            routerLinkActive="router-link-active" [routerLinkActiveOptions]="{exact: true}" mat-flat-button>
            <mat-icon color="primary">{{item.iconName}}</mat-icon>
            <span class="sidenav-list">{{item.navigationItemName}}</span>
          </button>
        </mat-list-item>
      </span>

    </section>

    <!-- ###### Information ###### -->
    <section>
      <mat-list-item class="root-element" *ngIf=" (currentUrl == '/' || currentUrl == '/dashboard' || currentSys == 'information')">
        <button (click)="onInformationSelected()" mat-flat-button>
          <mat-icon color="primary" [ngClass]="[(navCollapsed && !mobileSize.matches) ? 'sidenav-leftpadding': '']">
            business_center</mat-icon>
          <span class="sidenav-list main-list"
            [ngClass]="[(navCollapsed && !mobileSize.matches) ? 'nav-collapsed': '']">Information</span>
          <mat-icon *ngIf="!informationExpanded">expand_more</mat-icon>
          <mat-icon *ngIf="informationExpanded">expand_less</mat-icon>
        </button>
      </mat-list-item>

      <mat-list-item class="sub-element"
        *ngIf=" informationExpanded && !navCollapsed ">
        <button (click)="onInformationSubMenuSelected()" routerLink="/information/announcement"
        routerLinkActive="router-link-active" [routerLinkActiveOptions]="{exact: true}" mat-flat-button>
          <mat-icon color="primary">announcement</mat-icon>
          <span class="sidenav-list">Announcement</span>
        </button>
      </mat-list-item>

      <mat-list-item class="sub-element"
        *ngIf=" informationExpanded && !navCollapsed">
        <button (click)="onInformationSubMenuSelected()" routerLink="/information/training"
        routerLinkActive="router-link-active" [routerLinkActiveOptions]="{exact: true}" mat-flat-button>
          <mat-icon color="primary">ondemand_video</mat-icon>
          <span class="sidenav-list">Training</span>
        </button>
      </mat-list-item>

      <!-- <mat-list-item class="sub-element"
        *ngIf=" informationExpanded && !navCollapsed">
        <button (click)="openVideo()" mat-flat-button>
          <mat-icon color="primary">ondemand_video</mat-icon>
          <span class="sidenav-list">Training</span>
        </button>
      </mat-list-item> -->
    </section>
  </section>

  <ng-template #individualBlock>
    <section #referralPackageBlock *ngIf="referralPackage">
      <mat-list-item class="root-element">
        <button [routerLink]="['/vcs/client-awaiting-placement']" routerLinkActive="router-link-active" mat-flat-button>
          <mat-icon color="primary" [ngClass]="[(navCollapsed && !mobileSize.matches) ? 'sidenav-leftpadding': '']">
            undo</mat-icon>
        </button>
      </mat-list-item>
      <section *ngIf="is_SH_PE || is_SH_HP || is_CAS"
        [ngClass]="[(!navCollapsed) ? 'referral-package-nav sidenav-leftpadding': '']">
        <span *ngIf="!navCollapsed" class="line">
          <h2><span>Referral Package</span></h2>
        </span>
        <mat-list-item class="root-element">
          <button [routerLink]="['/vcs/referral-package/homeless-information']"
            (click)="onHomelessInformationTabSelected(0)" mat-flat-button>
            <mat-icon color="primary" [ngClass]="[(navCollapsed && !mobileSize.matches) ? 'sidenav-leftpadding': '']">
              folder</mat-icon>
            <span class="sidenav-list main-list"
              [ngClass]="[(navCollapsed && !mobileSize.matches) ? 'nav-collapsed': '']">Homeless Information</span>
          </button>
        </mat-list-item>
        <mat-list-item class="sub-element" *ngIf="!navCollapsed">
          <button [routerLink]="['/vcs/referral-package/homeless-information']"
            (click)="onHomelessInformationTabSelected(0)" [ngClass]="[(homelessTab == 0) ? 'router-link-active': '']"
            mat-flat-button>
            <mat-icon color="primary">chevron_right</mat-icon>
            <span class="sidenav-list" [ngClass]="[navCollapsed ? 'nav-collapsed': '']">Shelter Information</span>
          </button>
        </mat-list-item>
        <mat-list-item class="sub-element" *ngIf="!navCollapsed">
          <button [routerLink]="['/vcs/referral-package/homeless-information']"
            (click)="onHomelessInformationTabSelected(1)" [ngClass]="[(homelessTab == 1) ? 'router-link-active': '']"
            mat-flat-button>
            <mat-icon color="primary">chevron_right</mat-icon>
            <span class="sidenav-list" [ngClass]="[navCollapsed ? 'nav-collapsed': '']">Homeless History</span>
          </button>
        </mat-list-item>

        <mat-list-item class="root-element">
          <button [routerLink]="['/vcs/referral-package/referral-ready-tracking']"
            (click)="onReferralReadyTrackingTabSelected(0)" mat-flat-button>
            <mat-icon color="primary" [ngClass]="[(navCollapsed && !mobileSize.matches) ? 'sidenav-leftpadding': '']">
              folder</mat-icon>
            <span class="sidenav-list main-list"
              [ngClass]="[(navCollapsed && !mobileSize.matches) ? 'nav-collapsed': '']">Referral Ready Tracking</span>
          </button>
        </mat-list-item>
        <mat-list-item class="sub-element" *ngIf="!navCollapsed">
          <button [routerLink]="['/vcs/referral-package/referral-ready-tracking']"
            (click)="onReferralReadyTrackingTabSelected(0)" [ngClass]="[(trackingTab == 0) ? 'router-link-active': '']"
            mat-flat-button>
            <mat-icon color="primary">chevron_right</mat-icon>
            <span class="sidenav-list" [ngClass]="[navCollapsed ? 'nav-collapsed': '']">Housing Application
              Package</span>
          </button>
        </mat-list-item>
        <mat-list-item class="sub-element" *ngIf="!navCollapsed">
          <button [routerLink]="['/vcs/referral-package/referral-ready-tracking']"
            (click)="onReferralReadyTrackingTabSelected(1)" [ngClass]="[(trackingTab == 1) ? 'router-link-active': '']"
            mat-flat-button>
            <mat-icon color="primary">chevron_right</mat-icon>
            <span class="sidenav-list" [ngClass]="[navCollapsed ? 'nav-collapsed': '']">Client Documentation</span>
          </button>
        </mat-list-item>
        <mat-list-item class="sub-element" *ngIf="!navCollapsed">
          <button [routerLink]="['/vcs/referral-package/referral-ready-tracking']"
            (click)="onReferralReadyTrackingTabSelected(2)" [ngClass]="[(trackingTab == 2) ? 'router-link-active': '']"
            mat-flat-button>
            <mat-icon color="primary">chevron_right</mat-icon>
            <span class="sidenav-list" [ngClass]="[navCollapsed ? 'nav-collapsed': '']">Client Referral Ready</span>
          </button>
        </mat-list-item>

        <mat-list-item class="root-element">
          <button [routerLink]="['/vcs/referral-package/housing-preference']"
            (click)="onHousingPreferenceTabSelected(0)" mat-flat-button>
            <mat-icon color="primary" [ngClass]="[(navCollapsed && !mobileSize.matches) ? 'sidenav-leftpadding': '']">
              folder</mat-icon>
            <span class="sidenav-list main-list"
              [ngClass]="[(navCollapsed && !mobileSize.matches) ? 'nav-collapsed': '']">Housing Preference</span>
          </button>
        </mat-list-item>
        <mat-list-item class="sub-element" *ngIf="!navCollapsed">
          <button [routerLink]="['/vcs/referral-package/housing-preference']"
            (click)="onHousingPreferenceTabSelected(0)" [ngClass]="[(preferenceTab == 0) ? 'router-link-active': '']"
            mat-flat-button>
            <mat-icon color="primary">chevron_right</mat-icon>
            <span class="sidenav-list" [ngClass]="[navCollapsed ? 'nav-collapsed': '']">Applicant Preferences</span>
          </button>
        </mat-list-item>
        <mat-list-item class="sub-element" *ngIf="!navCollapsed">
          <button [routerLink]="['/vcs/referral-package/housing-preference']"
            (click)="onHousingPreferenceTabSelected(1)" [ngClass]="[(preferenceTab == 1) ? 'router-link-active': '']"
            mat-flat-button>
            <mat-icon color="primary">chevron_right</mat-icon>
            <span class="sidenav-list" [ngClass]="[navCollapsed ? 'nav-collapsed': '']">Recommended Services</span>
          </button>
        </mat-list-item>
        <mat-list-item class="sub-element" *ngIf="!navCollapsed">
          <button [routerLink]="['/vcs/referral-package/housing-preference']"
            (click)="onHousingPreferenceTabSelected(2)" [ngClass]="[(preferenceTab == 2) ? 'router-link-active': '']"
            mat-flat-button>
            <mat-icon color="primary">chevron_right</mat-icon>
            <span class="sidenav-list" [ngClass]="[navCollapsed ? 'nav-collapsed': '']">Activities of Daily Life</span>
          </button>
        </mat-list-item>

        <mat-list-item class="root-element">
          <button [routerLink]="['/vcs/referral-package/referral-and-placement-summary']"
            (click)="onReferralAndPlacementSummaryTabSelected(0)" mat-flat-button>
            <mat-icon color="primary" [ngClass]="[(navCollapsed && !mobileSize.matches) ? 'sidenav-leftpadding': '']">
              folder</mat-icon>
            <span class="sidenav-list main-list"
              [ngClass]="[(navCollapsed && !mobileSize.matches) ? 'nav-collapsed': '']">Referral and Placement
              Summary</span>
          </button>
        </mat-list-item>
        <mat-list-item class="sub-element" *ngIf="!navCollapsed">
          <button [routerLink]="['/vcs/referral-package/referral-and-placement-summary']"
            (click)="onReferralAndPlacementSummaryTabSelected(0)"
            [ngClass]="[(summaryTab == 0) ? 'router-link-active': '']" mat-flat-button>
            <mat-icon color="primary">chevron_right</mat-icon>
            <span class="sidenav-list" [ngClass]="[navCollapsed ? 'nav-collapsed': '']">Pending Referrals</span>
          </button>
        </mat-list-item>
        <mat-list-item class="sub-element" *ngIf="!navCollapsed">
          <button [routerLink]="['/vcs/referral-package/referral-and-placement-summary']"
            (click)="onReferralAndPlacementSummaryTabSelected(1)"
            [ngClass]="[(summaryTab == 1) ? 'router-link-active': '']" mat-flat-button>
            <mat-icon color="primary">chevron_right</mat-icon>
            <span class="sidenav-list" [ngClass]="[navCollapsed ? 'nav-collapsed': '']">Completed Referrals</span>
          </button>
        </mat-list-item>
        <mat-list-item class="sub-element" *ngIf="!navCollapsed">
          <button [routerLink]="['/vcs/referral-package/referral-and-placement-summary']"
            (click)="onReferralAndPlacementSummaryTabSelected(2)"
            [ngClass]="[(summaryTab == 2) ? 'router-link-active': '']" mat-flat-button>
            <mat-icon color="primary">chevron_right</mat-icon>
            <span class="sidenav-list" [ngClass]="[navCollapsed ? 'nav-collapsed': '']">Placements</span>
          </button>
        </mat-list-item>

      </section>
    </section>

    <section *ngIf="cocDetails">
      <mat-list-item class="root-element">
        <button [routerLink]="['/vcs/coc-referral-queue']" routerLinkActive="router-link-active" mat-flat-button>
          <mat-icon color="primary" [ngClass]="[(navCollapsed && !mobileSize.matches) ? 'sidenav-leftpadding': '']">
            undo</mat-icon>
        </button>
      </mat-list-item>
      <section *ngIf="is_SH_PE || is_SH_HP || is_SH_HPD"
        [ngClass]="[(!navCollapsed) ? 'referral-package-nav sidenav-leftpadding': '']">
        <span *ngIf="!navCollapsed" class="line">
          <h2><span>CoC Client Referral</span></h2>
        </span>
        <mat-list-item class="root-element">
          <button [routerLink]="['/vcs/coc-referral-queue/coc-referral-details']" routerLinkActive="router-link-active"
            mat-flat-button>
            <mat-icon color="primary" [ngClass]="[(navCollapsed && !mobileSize.matches) ? 'sidenav-leftpadding': '']">
              folder</mat-icon>
            <span class="sidenav-list main-list"
              [ngClass]="[(navCollapsed && !mobileSize.matches) ? 'nav-collapsed': '']">CoC Referral Queue</span>
          </button>
        </mat-list-item>
        <mat-list-item class="sub-element" *ngIf="!navCollapsed">
          <button [routerLink]="['/vcs/coc-referral-queue/coc-referral-details']" (click)="onCoCReferralTabSelected(0)"
            mat-flat-button>
            <mat-icon color="primary">chevron_right</mat-icon>
            <span class="sidenav-list" [ngClass]="[navCollapsed ? 'nav-collapsed': '']">Attach Document</span>
          </button>
        </mat-list-item>
        <mat-list-item class="sub-element" *ngIf="!navCollapsed">
          <button [routerLink]="['/vcs/coc-referral-queue/coc-referral-details']" (click)="onCoCReferralTabSelected(1)"
            mat-flat-button>
            <mat-icon color="primary">chevron_right</mat-icon>
            <span class="sidenav-list" [ngClass]="[navCollapsed ? 'nav-collapsed': '']" *ngIf="is_SH_PE">Transmit to Housing
              Provider</span>
            <span class="sidenav-list" [ngClass]="[navCollapsed ? 'nav-collapsed': '']" *ngIf="is_SH_HP">Transmit to
              HPD</span>
            <span class="sidenav-list" [ngClass]="[navCollapsed ? 'nav-collapsed': '']" *ngIf="is_SH_HPD">Review
              Application</span>
          </button>
        </mat-list-item>
        <mat-list-item class="sub-element" *ngIf="!navCollapsed">
          <button [routerLink]="['/vcs/coc-referral-queue/coc-referral-details']" (click)="onCoCReferralTabSelected(2)"
            mat-flat-button>
            <mat-icon color="primary">chevron_right</mat-icon>
            <span class="sidenav-list" [ngClass]="[navCollapsed ? 'nav-collapsed': '']">CoC Referral Activity</span>
          </button>
        </mat-list-item>
        <mat-list-item class="sub-element" *ngIf="!navCollapsed && (is_SH_PE || is_SH_HPD )">
          <button [routerLink]="['/vcs/coc-referral-queue/coc-referral-details']" (click)="onCoCReferralTabSelected(3)"
            mat-flat-button>
            <mat-icon color="primary">chevron_right</mat-icon>
            <span class="sidenav-list" [ngClass]="[navCollapsed ? 'nav-collapsed': '']">Discontinue CoC Referral</span>
          </button>
        </mat-list-item>
        <mat-list-item class="sub-element" *ngIf="!navCollapsed">
          <button [routerLink]="['/vcs/coc-referral-queue/coc-referral-details']" (click)="onCoCReferralTabSelected(4)"
            mat-flat-button>
            <mat-icon color="primary">chevron_right</mat-icon>
            <span class="sidenav-list" [ngClass]="[navCollapsed ? 'nav-collapsed': '']">Application Package</span>
          </button>
        </mat-list-item>
        <mat-list-item class="root-element" *ngIf="is_SH_PE  || is_SH_HPD ">
          <button [routerLink]="['/vcs/add-coc-referral']" routerLinkActive="router-link-active" mat-flat-button>
            <mat-icon color="primary" [ngClass]="[(navCollapsed && !mobileSize.matches) ? 'sidenav-leftpadding': '']">
              folder</mat-icon>
            <span class="sidenav-list main-list"
              [ngClass]="[(navCollapsed && !mobileSize.matches) ? 'nav-collapsed': '']">Add CoC Referral</span>
          </button>
        </mat-list-item>
      </section>
      <section *ngIf="is_CAS"
        [ngClass]="[(!navCollapsed) ? 'referral-package-nav sidenav-leftpadding': '']">
        <span *ngIf="!navCollapsed" class="line">
          <h2><span>CoC Client Referral</span></h2>
        </span>
        <mat-list-item class="root-element">
          <button [routerLink]="['/vcs/coc-referral-queue/coc-referral-details']" routerLinkActive="router-link-active"
            mat-flat-button>
            <mat-icon color="primary" [ngClass]="[(navCollapsed && !mobileSize.matches) ? 'sidenav-leftpadding': '']">
              folder</mat-icon>
            <span class="sidenav-list main-list"
              [ngClass]="[(navCollapsed && !mobileSize.matches) ? 'nav-collapsed': '']">CoC Referral Queue</span>
          </button>
        </mat-list-item>
        <mat-list-item class="sub-element" *ngIf="!navCollapsed">
          <button [routerLink]="['/vcs/coc-referral-queue/coc-referral-details']" (click)="onCoCReferralTabSelected(0)"
            mat-flat-button>
            <mat-icon color="primary">chevron_right</mat-icon>
            <span class="sidenav-list" [ngClass]="[navCollapsed ? 'nav-collapsed': '']">Attach Document</span>
          </button>
        </mat-list-item>
        <mat-list-item class="sub-element" *ngIf="!navCollapsed">
          <button [routerLink]="['/vcs/coc-referral-queue/coc-referral-details']" (click)="onCoCReferralTabSelected(1)"
            mat-flat-button>
            <mat-icon color="primary">chevron_right</mat-icon>
            <span class="sidenav-list" [ngClass]="[navCollapsed ? 'nav-collapsed': '']">Transmit to Housing Provider</span>
          </button>
        </mat-list-item>
        <mat-list-item class="sub-element" *ngIf="!navCollapsed">
          <button [routerLink]="['/vcs/coc-referral-queue/coc-referral-details']" (click)="onCoCReferralTabSelected(2)"
            mat-flat-button>
            <mat-icon color="primary">chevron_right</mat-icon>
            <span class="sidenav-list" [ngClass]="[navCollapsed ? 'nav-collapsed': '']" >Review Application</span>
          </button>
        </mat-list-item>
        <mat-list-item class="sub-element" *ngIf="!navCollapsed">
          <button [routerLink]="['/vcs/coc-referral-queue/coc-referral-details']" (click)="onCoCReferralTabSelected(3)"
            mat-flat-button>
            <mat-icon color="primary">chevron_right</mat-icon>
            <span class="sidenav-list" [ngClass]="[navCollapsed ? 'nav-collapsed': '']">CoC Referral Activity</span>
          </button>
        </mat-list-item>
        <mat-list-item class="sub-element" *ngIf="!navCollapsed">
          <button [routerLink]="['/vcs/coc-referral-queue/coc-referral-details']" (click)="onCoCReferralTabSelected(4)"
            mat-flat-button>
            <mat-icon color="primary">chevron_right</mat-icon>
            <span class="sidenav-list" [ngClass]="[navCollapsed ? 'nav-collapsed': '']">Discontinue CoC Referral</span>
          </button>
        </mat-list-item>
        <mat-list-item class="sub-element" *ngIf="!navCollapsed">
          <button [routerLink]="['/vcs/coc-referral-queue/coc-referral-details']" (click)="onCoCReferralTabSelected(5)"
            mat-flat-button>
            <mat-icon color="primary">chevron_right</mat-icon>
            <span class="sidenav-list" [ngClass]="[navCollapsed ? 'nav-collapsed': '']">Application Package</span>
          </button>
        </mat-list-item>
        <mat-list-item class="root-element" >
          <button [routerLink]="['/vcs/add-coc-referral']" routerLinkActive="router-link-active" mat-flat-button>
            <mat-icon color="primary" [ngClass]="[(navCollapsed && !mobileSize.matches) ? 'sidenav-leftpadding': '']">
              folder</mat-icon>
            <span class="sidenav-list main-list"
              [ngClass]="[(navCollapsed && !mobileSize.matches) ? 'nav-collapsed': '']">Add CoC Referral</span>
          </button>
        </mat-list-item>
      </section>
    </section>

    <section *ngIf="clientPlacementsHistory && is_CAS"
      [ngClass]="[(!navCollapsed) ? 'referral-package-nav sidenav-leftpadding': '']">
      <span *ngIf="!navCollapsed" class="line">
        <h2><span>Client Placements History</span></h2>
      </span>
      <mat-list-item class="root-element">
        <button [routerLink]="['/vcs/client-placements-history']" routerLinkActive="router-link-active" mat-flat-button>
          <mat-icon color="primary" [ngClass]="[(navCollapsed && !mobileSize.matches) ? 'sidenav-leftpadding': '']">
            folder</mat-icon>
          <span class="sidenav-list main-list"
            [ngClass]="[(navCollapsed && !mobileSize.matches) ? 'nav-collapsed': '']">Client Placements</span>
        </button>
      </mat-list-item>
      <mat-list-item *ngIf="clientSourceType == 573" class="root-element">
        <button [routerLink]="['/vcs/client-placements-history/client-case-folder']"
          routerLinkActive="router-link-active" mat-flat-button>
          <mat-icon color="primary" [ngClass]="[(navCollapsed && !mobileSize.matches) ? 'sidenav-leftpadding': '']">
            folder</mat-icon>
          <span class="sidenav-list main-list"
            [ngClass]="[(navCollapsed && !mobileSize.matches) ? 'nav-collapsed': '']">Client Case Folder</span>
        </button>
      </mat-list-item>
      <!-- <mat-list-item class="sub-element" *ngIf="!navCollapsed">
        <button [routerLink]="['/vcs/client-placements-history/client-case-folder']" mat-flat-button>
          <mat-icon color="primary">chevron_right</mat-icon>
          <span class="sidenav-list" [ngClass]="[navCollapsed ? 'nav-collapsed': '']">Case 1</span>
        </button>
      </mat-list-item>
      <mat-list-item class="sub-element" *ngIf="!navCollapsed">
        <button [routerLink]="['/vcs/client-placements-history/client-case-folder']" mat-flat-button>
          <mat-icon color="primary">chevron_right</mat-icon>
          <span class="sidenav-list" [ngClass]="[navCollapsed ? 'nav-collapsed': '']">Case 2</span>
        </button>
      </mat-list-item>
      <mat-list-item class="sub-element" *ngIf="!navCollapsed">
        <button [routerLink]="['/vcs/client-placements-history/client-case-folder']" mat-flat-button>
          <mat-icon color="primary">chevron_right</mat-icon>
          <span class="sidenav-list" [ngClass]="[navCollapsed ? 'nav-collapsed': '']">Case 3</span>
        </button>
      </mat-list-item> -->
    </section>
    <section *ngIf="tadSubmission && (is_SH_HP || is_CAS)"
      [ngClass]="[(!navCollapsed) ? 'referral-package-nav sidenav-leftpadding': '']">
      <span *ngIf="!navCollapsed" class="line">
        <h2>
          <span>TAD Reports </span><br>
          <span>{{selectedHpSite.siteID > 0 ? (selectedHpSite.tadMonthName + ' ' + selectedHpSite.tadYear) : ''}}</span>
        </h2>
      </span>
      <app-tad-sidenav-list [navCollapsed]="navCollapsed" [mobileSize]="mobileSize"></app-tad-sidenav-list>
    </section>
  </ng-template>
</mat-list>
